import 'package:flutter/material.dart';

import 'package:pweb/pages/settings/profile/actions/buttons_layout.dart';
import 'package:pweb/pages/settings/profile/actions/language_button.dart';
import 'package:pweb/pages/settings/profile/actions/name_button.dart';
import 'package:pweb/pages/settings/profile/actions/password_button.dart';


class ProfileActionButtons extends StatelessWidget {
  const ProfileActionButtons({
    super.key,
    required this.nameLabel,
    required this.languageLabel,
    required this.passwordLabel,
  });

  final String nameLabel;
  final String languageLabel;
  final String passwordLabel;

  @override
  Widget build(BuildContext context) {
    return ProfileActionButtonsLayout(
      children: [
        ProfileNameActionButton(label: nameLabel),
        ProfileLanguageActionButton(label: languageLabel),
        ProfilePasswordActionButton(label: passwordLabel),
      ],
    );
  }
}
